import { HttpResponse } from '../@types'
import request from './request'

class CharteredBusService {
  // 取消门票訂單
  static async setTicketOrderCancel(OrderId:number):Promise<HttpResponse>{
    return request('ticket_post_CancelTicketOrder',{OrderId})
  }
  // 门票訂單列表
  static async getTicketOrderList(param:any):Promise<HttpResponse>{
    return request('ticket_post_GetMyTicketOrderPageList',param)
  }
  // 提交包车訂單
  static async SetTYCarOrder(param:any):Promise<HttpResponse>{
    return request('CarSingle_post_SetTYCarOrder',param)
  }
  // 获取产品报价
  static async GetTYCarSingleProductMonthPrice(param:any):Promise<HttpResponse>{
    return request('CarSingle_post_GetTYCarSingleProductMonthPrice',param)
  }
  // 包车详情
  static async GetTYCarSingleProductInfo(param:any):Promise<HttpResponse>{
    return request('CarSingle_post_GetTYCarSingleProductInfo',param)
  }
  // 包车列表
  static async getTYCarSingleProductList(param:any):Promise<HttpResponse>{
    return request('CarSingle_post_GetTYCarSingleProductPageList',param)
  }
  // 获取包车机场
  static async GetCarSingleAllAirport(params: any): Promise<HttpResponse> {
    return request('CarSingle_post_GetCarSingleAllAirportList', params)
  }
  // 获取包车所有国家
  static async GetCarSingleAllPlace(params: any): Promise<HttpResponse> {
    return request('CarSingle_post_GetCarSingleAllPlaceList', params)
  }
}

export default CharteredBusService
